## Spice USB device selection widget Spice USB device selection widget — USB device selection widget |

## Stability Level

Stable, unless otherwise indicated

## Functions

GtkWidget * | spice_usb_device_widget_new ()

## Includes

    #include <spice-client-gtk.h>

## Description

SpiceUsbDeviceWidget is a gtk widget which apps can use to easily add an UI to select USB devices to redirect (or unredirect).

## Functions

### spice_usb_device_widget_new ()

    GtkWidget *
    spice_usb_device_widget_new (SpiceSession *session,
                                 const gchar *device_format_string);

Creates a new widget to control USB redirection.

#### Parameters

session | SpiceSession for which to widget will control USB redirection |
device_format_string | String passed to `spice_usb_device_get_description()`. | [allow-none]

#### Returns

a new SpiceUsbDeviceWidget instance

## Types and Values